info.bioinfweb.jphyloio.formats.newick

## Interface NewickConstants

- All Known Implementing Classes:
    HotCommentDataReader, ListTranslator, NewickEventReader, NewickEventWriter, NewickFactory, NewickNodeEdgeEventReceiver, NewickScanner, NewickStringReader, NewickStringWriter, NewickUtils, NHXUtils

      public interface NewickConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `ALLOCATION_SEPARATOR_SYMBOL`
    `static char` | `ALLOCATION_SYMBOL`
    `static char` | `ALTERNATIVE_NAME_DELIMITER`
    `static char` | `COMMENT_END`
    `static char` | `COMMENT_START`
    `static javax.xml.namespace.QName` | `DATA_TYPE_NEWICK_ARRAY`
    `static java.lang.String` | `E_NEWICK_EDGE_TYPE_HYBRIDIZATION`
    `static java.lang.String` | `E_NEWICK_EDGE_TYPE_LATERAL_GENE_TRANSFER`
    `static java.lang.String` | `E_NEWICK_EDGE_TYPE_RECOMBINATION`
    `static java.lang.String` | `E_NEWICK_NAMESPACE_PREFIX`
    `static java.lang.String` | `E_NEWICK_NETWORK_DATA_SEPARATOR`
    `static char` | `ELEMENT_SEPERATOR`
    `static char` | `FIELD_END_SYMBOL`
    `static char` | `FIELD_START_SYMBOL`
    `static char` | `FIELD_VALUE_SEPARATOR_SYMBOL`
    `static char` | `FREE_NAME_BLANK`
    `static char` | `HOT_COMMENT_START_SYMBOL`
    `static char` | `INDEX_END_SYMBOL`
    `static char` | `INDEX_START_SYMBOL`
    `static char` | `LENGTH_SEPERATOR`
    `static char` | `NAME_DELIMITER`
    `static java.lang.String` | `NEWICK_DATA_TYPE_NAMESPACE`
    `static java.lang.String` | `NEWICK_FORMAT_NAME`
    `static java.lang.String` | `NEWICK_NAMESPACE_PREFIX`
    `static java.lang.String` | `NHX_KEY_CONFIDENCE`
    `static java.lang.String` | `NHX_KEY_EVENT`
    `static java.lang.String` | `NHX_KEY_GENE_NAME`
    `static java.lang.String` | `NHX_KEY_PREFIX`
    `static java.lang.String` | `NHX_KEY_SCIENTIFIC_NAME`
    `static java.lang.String` | `NHX_KEY_SEQUENCE_ACCESSION`
    `static java.lang.String` | `NHX_KEY_TAXONOMY_ID`
    `static java.lang.String` | `NHX_START`
    `static char` | `NHX_VALUE_SEPARATOR_SYMBOL`
    `static javax.xml.namespace.QName` | `PREDICATE_E_NEWICK_EDGE_TYPE`
    `static java.lang.String` | `ROOTED_HOT_COMMENT`
    `static char` | `SUBTREE_END`
    `static char` | `SUBTREE_START`
    `static char` | `TERMINAL_SYMBOL`
    `static java.lang.String` | `UNROOTED_HOT_COMMENT`

- - ### Field Detail

    - #### NEWICK_FORMAT_NAME

          static final java.lang.String NEWICK_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### SUBTREE_START

          static final char SUBTREE_START

      See Also:
        Constant Field Values

    - #### SUBTREE_END

          static final char SUBTREE_END

      See Also:
        Constant Field Values

    - #### NAME_DELIMITER

          static final char NAME_DELIMITER

      See Also:
        Constant Field Values

    - #### ALTERNATIVE_NAME_DELIMITER

          static final char ALTERNATIVE_NAME_DELIMITER

      See Also:
        Constant Field Values

    - #### LENGTH_SEPERATOR

          static final char LENGTH_SEPERATOR

      See Also:
        Constant Field Values

    - #### ELEMENT_SEPERATOR

          static final char ELEMENT_SEPERATOR

      See Also:
        Constant Field Values

    - #### TERMINAL_SYMBOL

          static final char TERMINAL_SYMBOL

      See Also:
        Constant Field Values

    - #### COMMENT_START

          static final char COMMENT_START

      See Also:
        Constant Field Values

    - #### COMMENT_END

          static final char COMMENT_END

      See Also:
        Constant Field Values

    - #### FREE_NAME_BLANK

          static final char FREE_NAME_BLANK

      See Also:
        Constant Field Values

    - #### ROOTED_HOT_COMMENT

          static final java.lang.String ROOTED_HOT_COMMENT

      See Also:
        Constant Field Values

    - #### UNROOTED_HOT_COMMENT

          static final java.lang.String UNROOTED_HOT_COMMENT

      See Also:
        Constant Field Values

    - #### HOT_COMMENT_START_SYMBOL

          static final char HOT_COMMENT_START_SYMBOL

      See Also:
        Constant Field Values

    - #### ALLOCATION_SEPARATOR_SYMBOL

          static final char ALLOCATION_SEPARATOR_SYMBOL

      See Also:
        Constant Field Values

    - #### ALLOCATION_SYMBOL

          static final char ALLOCATION_SYMBOL

      See Also:
        Constant Field Values

    - #### FIELD_START_SYMBOL

          static final char FIELD_START_SYMBOL

      See Also:
        Constant Field Values

    - #### FIELD_END_SYMBOL

          static final char FIELD_END_SYMBOL

      See Also:
        Constant Field Values

    - #### FIELD_VALUE_SEPARATOR_SYMBOL

          static final char FIELD_VALUE_SEPARATOR_SYMBOL

      See Also:
        Constant Field Values

    - #### INDEX_START_SYMBOL

          static final char INDEX_START_SYMBOL

      See Also:
        Constant Field Values

    - #### INDEX_END_SYMBOL

          static final char INDEX_END_SYMBOL

      See Also:
        Constant Field Values

    - #### NHX_VALUE_SEPARATOR_SYMBOL

          static final char NHX_VALUE_SEPARATOR_SYMBOL

      See Also:
        Constant Field Values

    - #### NHX_START

          static final java.lang.String NHX_START

      See Also:
        Constant Field Values

    - #### NHX_KEY_PREFIX

          static final java.lang.String NHX_KEY_PREFIX

      See Also:
        Constant Field Values

    - #### NHX_KEY_GENE_NAME

          static final java.lang.String NHX_KEY_GENE_NAME

      See Also:
        Constant Field Values

    - #### NHX_KEY_SEQUENCE_ACCESSION

          static final java.lang.String NHX_KEY_SEQUENCE_ACCESSION

      See Also:
        Constant Field Values

    - #### NHX_KEY_CONFIDENCE

          static final java.lang.String NHX_KEY_CONFIDENCE

      See Also:
        Constant Field Values

    - #### NHX_KEY_EVENT

          static final java.lang.String NHX_KEY_EVENT

      See Also:
        Constant Field Values

    - #### NHX_KEY_SCIENTIFIC_NAME

          static final java.lang.String NHX_KEY_SCIENTIFIC_NAME

      See Also:
        Constant Field Values

    - #### NHX_KEY_TAXONOMY_ID

          static final java.lang.String NHX_KEY_TAXONOMY_ID

      See Also:
        Constant Field Values

    - #### E_NEWICK_NETWORK_DATA_SEPARATOR

          static final java.lang.String E_NEWICK_NETWORK_DATA_SEPARATOR

      See Also:
        Constant Field Values

    - #### E_NEWICK_EDGE_TYPE_RECOMBINATION

          static final java.lang.String E_NEWICK_EDGE_TYPE_RECOMBINATION

      See Also:
        Constant Field Values

    - #### E_NEWICK_EDGE_TYPE_HYBRIDIZATION

          static final java.lang.String E_NEWICK_EDGE_TYPE_HYBRIDIZATION

      See Also:
        Constant Field Values

    - #### E_NEWICK_EDGE_TYPE_LATERAL_GENE_TRANSFER

          static final java.lang.String E_NEWICK_EDGE_TYPE_LATERAL_GENE_TRANSFER

      See Also:
        Constant Field Values

    - #### E_NEWICK_NAMESPACE_PREFIX

          static final java.lang.String E_NEWICK_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### PREDICATE_E_NEWICK_EDGE_TYPE

          static final javax.xml.namespace.QName PREDICATE_E_NEWICK_EDGE_TYPE

    - #### NEWICK_NAMESPACE_PREFIX

          static final java.lang.String NEWICK_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NEWICK_DATA_TYPE_NAMESPACE

          static final java.lang.String NEWICK_DATA_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### DATA_TYPE_NEWICK_ARRAY

          static final javax.xml.namespace.QName DATA_TYPE_NEWICK_ARRAY